package applicationLogic;

/**
 * The Class Building.
 */
public abstract class Building extends Accomodation {
	
	/** The number of rooms. */
	private int numberOfRooms;
	
	/**
	 * Instantiates a new building.
	 *
	 * @param housingSpace the housing space
	 * @param adr the adr
	 * @param numberOfRooms the number of rooms
	 */
	public Building(float housingSpace, Adress adr, int numberOfRooms) {
		super(housingSpace, adr);
		this.numberOfRooms = numberOfRooms;
	}
	
	/**
	 * Gets the numer of rooms.
	 *
	 * @return the numer of rooms
	 */
	public int getNumerOfRooms() {
		return numberOfRooms;
	}

	/**
	 * Sets the number of rooms.
	 *
	 * @param numberOfRooms the new number of rooms
	 */
	public void setNumberOfRooms(int numberOfRooms) {
		this.numberOfRooms = numberOfRooms;
	}

	/* (non-Javadoc)
	 * @see applicationLogic.Accomodation#toString()
	 */
	public String toString()
	{
		return super.toString() + ", Number of rooms: " + numberOfRooms;
	}
}
