package applicationLogic;

/**
 * The Class House.
 */
public class House extends Building {
	
	/** The ground space. */
	private float groundSpace;
	
	/** The entrance count. */
	private int entranceCount;
	
	/**
	 * Instantiates a new house.
	 *
	 * @param housingSpace the housing space
	 * @param adr the adr
	 * @param numberOfRooms the number of rooms
	 * @param groundSpace the ground space
	 * @param entranceCount the entrance count
	 */
	public House(float housingSpace, Adress adr, int numberOfRooms, float groundSpace, int entranceCount)
	{
		super(housingSpace, adr, numberOfRooms);
		this.groundSpace = groundSpace;
		this.entranceCount = entranceCount;
	}

	/**
	 * Gets the ground space.
	 *
	 * @return the ground space
	 */
	public float getGroundSpace() {
		return groundSpace;
	}

	/**
	 * Sets the ground space.
	 *
	 * @param groundSpace the new ground space
	 */
	public void setGroundSpace(float groundSpace) {
		this.groundSpace = groundSpace;
	}

	/**
	 * Gets the entrance count.
	 *
	 * @return the entrance count
	 */
	public int getEntranceCount() {
		return entranceCount;
	}

	/**
	 * Sets the entrance count.
	 *
	 * @param entranceCount the new entrance count
	 */
	public void setEntranceCount(int entranceCount) {
		this.entranceCount = entranceCount;
	}

	/* (non-Javadoc)
	 * @see applicationLogic.Building#toString()
	 */
	public String toString()
	{
		return super.toString() + ", ground space: " + groundSpace + ", entrance Count: " + entranceCount;
	}
}
