package applicationLogicAccess;

import java.util.ArrayList;

import applicationLogic.Adress;
import applicationLogic.Accomodation;
import applicationLogic.Manager;
import applicationLogic.Room;
import applicationLogic.House;
import applicationLogic.Bungalow;

/**
 * The Class Access.
 */
public class Access 
{
	
	/**
	 * Insert accomodation.
	 *
	 * @param toAdd the to add
	 * @return the int
	 */
	public static int insertAccomodation(Accomodation toAdd) {
		return Manager.getInstance().addAccomodation(toAdd);
	}
	
	/**
	 * Insert bungalow.
	 *
	 * @param housingSpace the housing space
	 * @param street the street
	 * @param housenumber the housenumber
	 * @param zip the zip
	 * @param city the city
	 * @param numberOfRooms the number of rooms
	 * @param internet the internet
	 * @return the int
	 */
	public static int insertBungalow(float housingSpace, String street, int housenumber, int zip, 
			String city, int numberOfRooms, boolean internet) 
	{
		Adress adr = new Adress(street, housenumber, zip, city);
		Bungalow toAdd = new Bungalow(housingSpace, adr, numberOfRooms, internet);
		return insertAccomodation(toAdd);
	}
	
	/**
	 * Insert house.
	 *
	 * @param housingSpace the housing space
	 * @param street the street
	 * @param housenumber the housenumber
	 * @param zip the zip
	 * @param city the city
	 * @param numberOfRooms the number of rooms
	 * @param groundSpace the ground space
	 * @param entranceCount the entrance count
	 * @return the int
	 */
	public static int insertHouse(float housingSpace, String street, int housenumber, int zip, 
			String city, int numberOfRooms, float groundSpace, int entranceCount) 
	{
		Adress adr = new Adress(street, housenumber, zip, city);
		House toAdd = new House(housingSpace, adr, numberOfRooms, groundSpace, entranceCount);
		return insertAccomodation(toAdd);
	}
	
	/**
	 * Insert room.
	 *
	 * @param housingSpace the housing space
	 * @param street the street
	 * @param housenumber the housenumber
	 * @param zip the zip
	 * @param city the city
	 * @param roomNumber the room number
	 * @return the int
	 */
	public static int insertRoom(float housingSpace, String street, int housenumber, int zip, 
			String city, int roomNumber)
	{
		Adress adr = new Adress(street, housenumber, zip, city);
		Room toAdd = new Room(housingSpace, adr, roomNumber);
		return insertAccomodation(toAdd);
	}
	
	/**
	 * Delete accomodation.
	 *
	 * @param id the id
	 * @return true, if successful
	 */
	public static boolean deleteAccomodation(int id) {
		return Manager.getInstance().deleteAccomodation(id);
	}
	
	/**
	 * Filter accomodation.
	 *
	 * @param type the type
	 * @return the array list
	 */
	public static ArrayList<Accomodation> filterAccomodation(String type) {
		return Manager.getInstance().filterAccomodations(type);
	}
	
	/**
	 * Search accomodations.
	 *
	 * @param zip the zip
	 * @return the array list
	 */
	public static ArrayList<Accomodation> searchAccomodations(int zip) {
		return Manager.getInstance().searchAccomodations(zip);
	}
	
	/**
	 * Gets the all accomodations.
	 *
	 * @return the all accomodations
	 */
	public static ArrayList<Accomodation> getAllAccomodations() {
		return Manager.getInstance().getAllPersons();
	}
}
