package userInterface;

import java.util.ArrayList;
import java.util.Iterator;

import applicationLogic.Accomodation;
import applicationLogicAccess.Access;

/**
 * The Class Test.
 */
public class Test {

	/**
	 * Prints the array list.
	 *
	 * @param list the list
	 * @param description the description
	 */
	public static void printArrayList(ArrayList<Accomodation> list, String description)
	{
		System.out.println("\n----------------");
		System.out.println("List of: " + description);
		Iterator<Accomodation> it = list.iterator();
		while (it.hasNext())
		{
			Accomodation actual = it.next();
			System.out.println(actual); //calls toString Method from Element
		}
		System.out.println("\\END List-------\n");
	}
	
	
	/**
	 * The main method.
	 *
	 * @param args the arguments
	 */
	public static void main(String[] args) 
	{
		System.out.println("STARTING TEST-APPLICATION\n\n");
		int id;
		id = Access.insertBungalow(111.0f, "Hauptstrasse", 6, 50221, "Cologne", 6, true);
		System.out.println(id + " added");
		id = Access.insertBungalow(120.0f, "ABC Str.", 50, 57076, "Weidenau", 5, false);
		System.out.println(id + " added");
		id = Access.insertHouse(222.0f, "Main Street", 111, 02456, "Berlin", 9, 1000.0f, 3);
		System.out.println(id + " added");
		id = Access.insertHouse(68.0f, "St Georg", 3, 10385, "Munich", 3, 100.0f, 1);
		System.out.println(id + " added");
		id = Access.insertHouse(100.0f, "Spring Road", 44, 3743, "London", 4, 150.0f, 2);
		System.out.println(id + " added");
		id = Access.insertRoom(20.0f, "Landstr", 2, 50221, "Cologne", 13);
		System.out.println(id + " added");
		id = Access.insertRoom(10.0f, "St Street", 66, 9593, "St Town", 6);
		System.out.println(id + " added");
		
		
		
		printArrayList(Access.getAllAccomodations(), "all accomodations");
		int delId = 2;
		if (Access.deleteAccomodation(delId)) System.out.println(delId + " deleted");
			else System.out.println("could'nt delete " + delId);
		
		printArrayList(Access.getAllAccomodations(), "all accomodations after deleting " + delId);
		
		printArrayList(Access.filterAccomodation("Room"), "filter rooms");
		
		printArrayList(Access.searchAccomodations(50221), "get accomodations with zip=\"50221\"");
		
	}

}
